"
 COPYRIGHT (c) 2004 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic' }"

"{ NameSpace: CharacterEncoderImplementations }"

CharacterEncoder subclass:#TwoByteEncoder
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Text-Encodings'
!

!TwoByteEncoder class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2004 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!TwoByteEncoder class methodsFor:'queries'!

maxCode
    ^ 16rFFFF 
!

minCode
    ^ 0 
! !

!TwoByteEncoder methodsFor:'private'!

newString:size
    ^ TwoByteString uninitializedNew:size
! !

!TwoByteEncoder methodsFor:'queries'!

characterSize:codePoint

    ^2

    "Created: / 15-06-2005 / 15:12:01 / janfrog"
! !

!TwoByteEncoder methodsFor:'stream support'!

readNextCharacterFrom:aStream
    | c |

    c := aStream nextUnsignedShortMSB:false.
    ^ c isNil 
        ifTrue: [nil]
        ifFalse: [(self decode:c) asCharacter]
!

readNextInputCharacterFrom:aStream
    ^ aStream nextUnsignedShortMSB:false
! !

!TwoByteEncoder class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/CharacterEncoderImplementations__TwoByteEncoder.st,v 1.6 2009-11-04 00:47:35 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libbasic/CharacterEncoderImplementations__TwoByteEncoder.st,v 1.6 2009-11-04 00:47:35 cg Exp $'
! !
